Name: synce-kde
Version: 0.8.0
Release: alt0.M24.1

Summary: KDE Integration of SynCE, kioslave and Tray Icon
License: MIT
Group: Communications

Packager: SynCE Development Team <synce@packages.altlinux.org>
Url: http://synce.sourceforge.net
Source0: %name-%version.tar.gz
Source1: %name.menu
#Patch: synce-kde-0.7.3-alt-configure.patch

# Automatically added by buildreq on Fri Sep 03 2004
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ hostinfo kde-settings kdelibs-devel libarts-devel libdynamite-devel libjpeg-devel liborange-devel libpng-devel libqt3-devel librapi2-devel librra-devel libstdc++-devel libsynce-devel libunshield-devel xml-utils zlib-devel

Requires: lib%name = %version

%description
This Package is a KDE-Integration of SynCE. It consists of a kio_slave
(RAPIP), a KDE System-Tray Application (RAKI) and an enhanced direct cable
connection manager (VDCCM).

RAPIP: Lets you transparently interact with your PockePC via konqueror.
RAKI: Is a Linux-Incarnation of Activsync. It claims to be better than
       Activesync in future.

%package -n lib%name
Summary: Library for KDE integration of SynCE
Group: Development/C
Requires: kdebase-libkonq

%description -n lib%name
This package contains necessary files to use synchronizer plugins

%package -n lib%name-devel
Summary: Development part of library for KDE integration of SynCE
Group: Development/C

%description -n lib%name-devel
This package contains necessary files to create synchronizer plugins

%prep
%setup -q
#patch -p1
%add_findprov_lib_path %_libdir/kde3

%build
export KDEDIR=%prefix
# awful hack; real fix is to get rid of -Wl,--no-undefined
# in linker cmd line (thanks to morozov@; author contacted)
export LDFLAGS="$LDFLAGS -L%_libdir/qt3/lib -lqt-mt -lkdecore"
%__subst 's,\.la\>,.so,' configure
%configure \
	--enable-shared \
	--disable-static \
	--enable-final \
	--disable-rpath \
	--with-pic \
	--with-xinerama
#--with-agsync=/path/to/agsync

%install
%makeinstall
%__install -d %buildroot%_man1dir %buildroot%_menudir
%__install -m644 *.1 %buildroot%_man1dir/
%__install -m644 %SOURCE1 %buildroot%_menudir/%name
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

# TODO:
# - wrap iptables to enable working NAT?

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%doc %_docdir/HTML/en/*
%_bindir/*
%_datadir/applnk/*/*
%_datadir/apps/raki/
%_datadir/apps/konqueror/servicemenus/*
%_iconsdir/*/*/*/*.png
%_man1dir/*
%_menudir/*
%_datadir/mimelnk/application/*
%_datadir/services/*
%_datadir/servicetypes/*

%files -n lib%name
#_libdir/*.so.*
%_libdir/kde3/*.so
%_libdir/kde3/*.la

%files -n lib%name-devel
#_libdir/*.so
%_includedir/*

# TODO:
# - menu file: fix X-KDE-autostart-condition?
#   https://listman.redhat.com/archives/xdg-list/2004-January/msg00095.html

%changelog
* Tue Aug 23 2005 Michael Shigorin <mike@altlinux.org> 0.8.0-alt0.M24.1
- built for ALM2.4
- hopefully should work :)

* Wed Apr 27 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.8.0-alt1
- changing Packager field
- original spec belong to Michael Shigorin <mike@altlinux.ru>:
- 0.8.0
- hacked in missing libraries to link
  (many thanks to Alexey Morozov (morozov@) for help!)
- removed lib*.so* from %%files *

* Tue Jun 15 2004 Michael Shigorin <mike@altlinux.ru> 0.7.3-alt1
- patched around faulty librra headers test

* Sun Apr 25 2004 Michael Shigorin <mike@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Wed Dec 17 2003 Michael Shigorin <mike@altlinux.ru> 0.6.1-alt4
- added menu file
- added several missing desktop/protocol files

* Fri Nov 28 2003 Michael Shigorin <mike@altlinux.ru> 0.6.1-alt3
- added missing manpages
- added configure flags

* Fri Nov 28 2003 Michael Shigorin <mike@altlinux.ru> 0.6.1-alt2
- removed %_libdir/*.la

* Sat Nov 08 2003 Michael Shigorin <mike@altlinux.ru> 0.6.1-alt1
- built for ALT Linux

